Scheme Settings: Upgrade debugger from GDB to LLDB


#1

Just upgraded from Xcode 4.2.1 to 4.3.1 and Homepwner now presents a “Validate Project Settings” warning recommending switching debuggers for Run and Test actions.

What do you recommend? I just now got all my provisioning done so I can test on my device (iPhone 4, iOS 5.1). I don’t want to screw anything up. :slight_smile:

Thanks,

James


#2

I have been running the apps in this book through several iOS and Xcode versions with no problems. When ever I update Xcode and it asks me to validate project settings I have always said yes, with out any side effects that I can see yet? I subscribe to the old windows adage always keep things as up to date as possible, so when it changes next week you won’t be as far behind. :laughing:


#3

Thanks for the quick reply. I’ll go ahead and update. We’ll see what happens. Hopefully nothing.

Update: I’ve had no issues since updating.